Skip to content
quarry Timeline
Login

Timeline

50 descendants and 50 ancestors of 499b4d6f8a07f7d8

2026-09-13
01:10
Create new branch named "team-routes" closed check-in: c7d459755f user: dmestas tags: team-routes
00:43
record the repository deed and namespace as stored columns closed check-in: 37653b4097 user: dmestas tags: repo-owner
00:40
teams: the public directory, one team page, and the third explore tab closed check-in: 97ea1d1917 user: dmestas tags: teams-pages
00:32
Create new branch named "teams-pages" check-in: e948a53a3c user: dmestas tags: teams-pages
00:27
land team-counts check-in: d8137c2421 user: dmestas tags: trunk
00:26
teams: a single-team read fills its counts instead of leaving them zero closed check-in: fc63cfbf44 user: dmestas tags: team-counts
00:24
Create new branch named "team-counts" check-in: 1c005f9133 user: dmestas tags: team-counts
00:20
land teams-1 check-in: aebd12f1ab user: dmestas tags: trunk
00:19
update teams-1 from trunk closed check-in: ad7357d37e user: dmestas tags: teams-1
00:16
teams: the ops, and a measured short-circuit for forges with no teams check-in: c79a4832d7 user: dmestas tags: teams-1
00:08
land owner-ops check-in: 488ce6f6f6 user: dmestas tags: trunk
00:03
teams: the tables, the membership floor, and the union in EffectiveCaps check-in: 3e8bcc0b5f user: dmestas tags: teams-1
00:01
mirror.writes and chatbridge to the repository owner; reindex stays forge-side closed check-in: a4b1ccf8ff user: dmestas tags: owner-ops
00:01
Create new branch named "teams-1" check-in: 77a81aaa38 user: dmestas tags: teams-1
2026-09-12
23:56
land rfc-teams check-in: ac66d7552f user: dmestas tags: trunk
23:55
land open-create check-in: 1ed72429e2 user: dmestas tags: trunk
23:50
RFC 0018: a public team page carries a description; avatar and README recorded as not proposed closed check-in: cfc4c36713 user: dmestas tags: rfc-teams
23:44
RFC 0018: teams, the layer RFC 0008 deferred check-in: 2c02017963 user: dmestas tags: rfc-teams
23:40
open repository creation and mirroring to any account closed check-in: 9e6f1c8f33 user: dmestas tags: open-create
23:39
Create new branch named "rfc-teams" check-in: c22cd91573 user: dmestas tags: rfc-teams
23:24
land rfc0017-decided check-in: 0456cc2123 user: dmestas tags: trunk
23:14
RFC 0017: keep the amendment note consistent with the moderation split closed check-in: f440807860 user: dmestas tags: rfc0017-decided
23:13
RFC 0017: settle which letters relax, what unbinding does, and the wiki scope check-in: f4ffa17411 user: dmestas tags: rfc0017-decided
23:12
Create new branch named "rfc0017-decided" check-in: a35e9696f5 user: dmestas tags: rfc0017-decided
22:28
land rfc-tiers check-in: da828cba67 user: dmestas tags: trunk
22:09
RFC 0017: the bar for a write scales with how permanent the write is closed check-in: faec36074e user: dmestas tags: rfc-tiers
22:04
Create new branch named "rfc-tiers" check-in: c2d4052156 user: dmestas tags: rfc-tiers
21:44
land session-stack check-in: f6c604e655 user: dmestas tags: trunk
21:37
The sessions list stops being a table on a phone, and the push controls land back on the section they came from closed check-in: c11b3b1450 user: dmestas tags: session-stack
19:45
land me-page check-in: 08a1eba493 user: dmestas tags: trunk
19:45
land one-press check-in: eca815c583 user: dmestas tags: trunk
19:42
One page for a person's own account, reached from the avatar: identity, email by code, password, sessions and notifications closed check-in: e0996f3e75 user: dmestas tags: me-page
19:29
Create new branch named "teams-grants" closed check-in: 395cce04f5 user: dmestas tags: teams-grants
19:28
A composer's submit button refuses a second press, so a slow page cannot turn one comment into two closed check-in: 7884007774 user: dmestas tags: one-press
19:14
land difftree-counts check-in: c7bec4f077 user: dmestas tags: trunk
19:00
diff: let a tree row wrap rather than push its tally off a narrow screen closed check-in: 109c3eada5 user: dmestas tags: difftree-counts
18:56
diff: the file-kind chips count one reading, not two; a filtered view says so check-in: 58fe3dd0b0 user: dmestas tags: difftree-counts
18:54
Create new branch named "difftree-counts" check-in: dac6fb1953 user: dmestas tags: difftree-counts
18:50
land difftree check-in: 323c38d412 user: dmestas tags: trunk
18:44
land reindex-stubs check-in: 6393df69e7 user: dmestas tags: trunk
18:42
A rebuilt index learns which attachments are stubs, so an uploaded picture does not come back as the text of its stub closed check-in: b00b8c772b user: dmestas tags: reindex-stubs
18:41
diff: fold the changed-file list into a directory tree with counts and filters closed check-in: 49c1fc3c13 user: dmestas tags: difftree
18:30
Create new branch named "difftree" check-in: e4e3684d4a user: dmestas tags: difftree
18:28
land account-events check-in: 00103505fe user: dmestas tags: trunk
18:21
merge trunk; one raise per access change, at the write path closed check-in: 54ad6b16fd user: dmestas tags: account-events
18:02
land account-email check-in: 1640d97eba user: dmestas tags: trunk
18:02
accounts: raise RFC 0005 account events, and put the capability string behind an op check-in: d89640ebd7 user: dmestas tags: account-events
17:58
An account can give quarry an address, and access changes reach it as transactional mail no preference can switch off closed check-in: b066503d43 user: dmestas tags: account-email
17:50
Create new branch named "account-events" check-in: 00e9c38f12 user: dmestas tags: account-events
17:49
land cirun-retention check-in: d539e7db70 user: dmestas tags: trunk
17:40
ci: retire superseded runs after 90 days, keeping the newest per subject closed check-in: 499b4d6f8a user: dmestas tags: cirun-retention
17:36
Create new branch named "cirun-retention" check-in: a453cac69c user: dmestas tags: cirun-retention
17:32
land landing-addresses check-in: 7b895af345 user: dmestas tags: trunk
17:19
merge trunk into landing-addresses closed check-in: 014bb9663b user: dmestas tags: landing-addresses
17:14
land attach-picker check-in: ff5520cd7f user: dmestas tags: trunk
17:05
The composer offers a file picker, so attaching a file to a comment needs neither a keystroke nor a mouse closed check-in: f8c2ff6253 user: dmestas tags: attach-picker
16:59
landings: every tense of closes and a wide addresses set; tickets: author every field a tracker defines check-in: 68eecb0f48 user: dmestas tags: landing-addresses
16:44
land landing-addresses check-in: c8b417138b user: dmestas tags: trunk
16:30
land lane-held check-in: a71af4e934 user: dmestas tags: trunk
16:30
land lane-visibility check-in: 78032a7b0a user: dmestas tags: trunk
16:27
landings: an addresses verb, and a reference in the title anchors check-in: ff875cc8dd user: dmestas tags: landing-addresses
16:24
Create new branch named "landing-addresses" check-in: 1c535aa07a user: dmestas tags: landing-addresses
16:20
land inbox-links check-in: 3748fe6b4d user: dmestas tags: trunk
16:19
A deduped inbox row can be marked read again, and a fault notice lands on its own row in the panel closed check-in: 39e1db7deb user: dmestas tags: inbox-links
16:18
ops: the lanes panel lists what each lane is holding, with verb, subject and age closed check-in: 39d8bd654e user: dmestas tags: lane-held
16:03
ops: the lanes panel lists every lane, with its queue depth. closes a488d7fa42 closed check-in: 6cd8513399 user: dmestas tags: lane-visibility
16:03
branch: lane-visibility check-in: ee4902611b user: dmestas tags: lane-visibility
16:03
land inbox-action check-in: 5a36b2a419 user: dmestas tags: trunk
15:55
The inbox row's one action says in a word what it does, and leaving a thread moves to the thread closed check-in: 4c713a13ed user: dmestas tags: inbox-action
15:41
land inbox-rows check-in: fea72e7446 user: dmestas tags: trunk
15:26
Inbox rows keep their columns whatever the words say, and a row is offered a control only where it has one to press closed check-in: 3ca3286214 user: dmestas tags: inbox-rows
12:35
land attach-paste-box check-in: 9c09f7bb46 user: dmestas tags: trunk
03:07
A pasted picture lives in the attachment box, not the text: a thumbnail that enlarges, no reference written, and placeholders that swap in the cards as they arrive closed check-in: cffae3883d user: dmestas tags: attach-paste-box
02:49
land attach-polish2 check-in: ec90486c11 user: dmestas tags: trunk
02:48
Pasted pictures: sized to their column, previewed once, the pending list under the box, and the page waits for the index before it shows the post closed check-in: 160c52b4c5 user: dmestas tags: attach-polish2
02:33
land attach-identity-fix check-in: 87a498ebef user: dmestas tags: trunk
02:33
land attach-api-routes check-in: 2b66128516 user: dmestas tags: trunk
01:57
Attachment routes name the viewer without challenging, so a stranger on a public repository is served instead of sent to log in closed check-in: c75e766a4d user: dmestas tags: attach-identity-fix
01:55
attachment.begin and commit answer under attachment/, out from under the multipart receiver's wildcard that swallowed them closed check-in: be31e3b2e4 user: dmestas tags: attach-api-routes
01:49
land attach-paste check-in: 821119a5fa user: dmestas tags: trunk
01:44
Composers on an existing object begin their uploads with the target, so commit checks the same object the reference names closed check-in: ea3d67dfa4 user: dmestas tags: attach-paste
01:41
Paste or drop to attach: a file previews in the composer and uploads when the post, comment or edit is submitted; the server commits it against the new object check-in: 7e893b1d3e user: dmestas tags: attach-paste
01:12
land attach-identity check-in: eb194aa356 user: dmestas tags: trunk
01:07
Attachment read routes carry the reader's identity, so a private repository serves its files to members and stays invisible to strangers closed check-in: 426f19c94f user: dmestas tags: attach-identity
00:47
land attach-csp check-in: 24bbf4d1aa user: dmestas tags: trunk
00:27
Pages under a repository with a bound bucket admit its origin in img-src, media-src and connect-src; the probe checks the bucket's CORS and settings show the rule to paste closed check-in: c1a0647547 user: dmestas tags: attach-csp
2026-09-11
23:26
land forum-search-companion check-in: be81272148 user: dmestas tags: trunk
23:24
search: a bound forum's threads are found under its parent closed check-in: 9227ad5342 user: dmestas tags: forum-search-companion
23:24
branch: forum-search-companion check-in: c996823f27 user: dmestas tags: forum-search-companion
22:51
land fault-chain check-in: daf79f2415 user: dmestas tags: trunk
22:50
land field-focus check-in: 9bc284ad57 user: dmestas tags: trunk
22:49
faults: a wrapped fault keeps its context, so a saturated lane says its numbers closed check-in: 61cfbcd31e user: dmestas tags: fault-chain
22:49
branch: fault-chain check-in: 7d3cc882b9 user: dmestas tags: fault-chain
22:48
Text fields focus with an accent border and a soft halo instead of a second ring outside the border closed check-in: e321b62086 user: dmestas tags: field-focus
22:44
land attach-polish check-in: 112f11b28b user: dmestas tags: trunk
22:42
Attachments: no count on an empty section; the upload limit keeps its unit beside the field closed check-in: a17b9cb43d user: dmestas tags: attach-polish
22:37
land forum-paging check-in: 196f1d5edd user: dmestas tags: trunk
22:15
land attach-write check-in: fbd11d50f7 user: dmestas tags: trunk
22:14
Attention stream: write the badge once the tail is attached, not before it, so a mention landing in between is never lost; the SSE tests wait on the frames they get closed check-in: 935ce5a7ce user: dmestas tags: attach-write
22:05
forum: the thread list pages, instead of rendering every thread closed check-in: b455e942b6 user: dmestas tags: forum-paging
22:05
branch: forum-paging check-in: 0a1b605a59 user: dmestas tags: forum-paging